<?php
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$accion=$_REQUEST["accion"];

if ($accion==1) $archivo='archivo_trabajador_constancia_'.strtolower($_SESSION['db_validar']).".php";
if ($accion==2) $archivo='archivo_trabajador_contrato_'.strtolower($_SESSION['db_validar']).".php";
if ($accion==3) $archivo=$_POST['archivo'];

if ($_POST) {
	if ($_POST['nuevo']!='')
	$cont = file_put_contents($archivo, stripslashes($_POST['nuevo']));
} 
$cont = file_get_contents($archivo);
 
echo "<font face='verdana, arial, helvetica, sans-serif' size=4 ><u>Actualizaci&oacute;n de Documento</font></u>";
echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."?accion=".$accion."' method = 'POST'  enctype='multipart/form-data'>";
echo "<input type = 'hidden' name = 'bandera' value = '".$accion."'>";
echo "<input type = 'hidden' name = 'archivo' value = '".$_POST['archivo']."'>";
echo "<textarea name='nuevo' cols='160' rows='30'>".$cont."</textarea>";
echo "<table cellpadding=2 cellspacing=0 >";
echo "<tr>";
	echo "<td><input name='constancia' type = 'submit' value = 'Grabar Modificar Formato de Constancia'></td>";
echo "</tr>";
echo "</table>";
echo"</form>"; 


?>